Subject: Re: bug#3226: here-document syntax inference and completion is broken

From: Stefan Monnier <[email-masked]>
Date: Wed, 16 Oct 2019 08:43:53 -0400

> I guess is "X" is "E", then expanding to
>
> foo <<EOF
>
> EOF
>
> would be nice, though.  I think I'll add that.

More important is likely support for

    foo <<'EOF'

    EOF

But yes, that sounds good.

> But I didn't see any way to make the <<[^<] thing work in any
> intuitive way.

Same here, which is why I didn't implement it at the time (and doing it
on "<< " like you did is a pretty good compromise, I think).

        Stefan